Holidu: Search
Search from Holidu as JSON. 1 credit per successful call.
GET /v1/holidu/search
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
query | string | Optional | Up to 100 characters |
ne_lat | number | Optional | Any |
ne_lng | number | Optional | Any |
sw_lat | number | Optional | Any |
sw_lng | number | Optional | Any |
property_type[] | list of string | Optional | VACATION_APARTMENT, VACATION_HOME, VILLA, HOTEL |
bedrooms | integer | Optional | Any |
rating | integer | Optional | 90, 80, 70, 60, 0 |
amenities[] | list of string | Optional | Any |
min_price | integer | Optional | Any |
max_price | integer | Optional | Any |
page | integer | Optional | Any |
sort | string | Optional | price, total_price, rating, distance |
order | string | Optional | asc, desc |
check_in | string | Optional | Any |
check_out | string | Optional | Any |
adults | integer | Optional | Any |
children_ages[] | list of integer | Optional | Any |
market | string | Optional | com, de, uk, fr |
Example request
curl "https://api.perceptlayer.com/v1/holidu/search" \
-H "X-API-Key: $API_KEY"Run this endpoint in the playground with your own parameters. 1 credit per successful call; failed calls are free.